data example4_7;
do block=1 to 15;
do treat=1 to 3;
input x @@;
output;
end;
end;
cards;
9.06	7.21	.
6.43	.	5.34
8.1	6.76	.
8.5	.	7.53
7.64	5.96	.
9.83	.	6.73
7.34	.	6.5
.	6.84	7.67
6.94	5.84	.
6.9	.	7.5
.	8.72	7.89
9.91	5.34	.
.	5.7	8.07
.	6.33	7.95
.	7.54	6.47
;
run;
proc univariate normal;
class treat;
var x; 
run;
proc glm data=example4_7;
class treat block;
model x=treat;
means treat/hovtest;
run;
proc glm data=example4_7;
class treat block;
model x=treat block;
lsmeans treat/adjust=bon tdiff;
run;
